local  _, class  = UnitClass('player')
if class ~= 'SHAMAN' then
	return
end

local folder, namespace = ...

namespace.ranges = {
	["Cleansing Totem"] = 30,
	["Earth Elemental Totem"] = 0, --NO RANGE
	["Earthbind Totem"]	= 10,
	["Fire Elemental Totem"] = 0, --NO RANGE
	["Fire Resistance Totem"] = 30,
	["Flametongue Totem"] = 30,
	["Frost Resistance Totem"] = 30,
	["Grounding Totem"] = 20,
	["Healing Stream Totem"] = 30,
	["Magma Totem"] = 8,
	["Mana Spring Totem"] = 30,
	["Mana Tide Totem"] = 30,
	["Nature Resistance Totem"] = 30,
	["Searing Totem"] = 20,
	["Searing Totem"] = 20,
	["Sentry Totem"] = 0, --NO RANGE
	["Stoneclaw Totem"] = 8,
	["Stoneskin Totem"]	= 30,
	["Strength of Earth Totem"] = 30,
	["Totem of Wrath"] = 40,
	["Tremor Totem"] = 30,
	["Windfury Totem"] = 30,
	["Wrath of Air Totem"] = 30,
}


namespace.slotSchool = {
	"Fire",		-- 1
	"Earth",	-- 2
	"Water",	-- 3
	"Air",		-- 4
}

--Headings of where totems spawn relative to your characters direction.
namespace.totemHeadings = {
	[1] = 45,	--#1 = 45deg (NW)	fire
	[2] = 315,	--#2 = 315deg (NE)	earth
	[3] = 135,	--#3 = 135deg (SE)	water
	[4] = 225,	--#4 = 225deg (SW)	air
}


